<?php defined('SYSPATH') or die('No direct script access.');
 
class Controller_Student_Index extends Controller_UserEnvi {

    public function action_index()
    {
        $twig = Twig::factory('student/index');
        $twig->User = $this->UserInfo;
        $db = new Model_Student;
        $disciplines = $db->getAllDisciplines($this->UserInfo['StudentID']);
        $i = 0;
        foreach($disciplines as $row)
        {
            $i++;
            if($row['ExamType'] == 'exam')
                $disciplinesHandled[$i]['Control'] = 'Экзамен';
            elseif($row['ExamType'] == 'credit')
                $disciplinesHandled[$i]['Control'] = 'Зачет';
            $disciplinesHandled[$i]['Teacher'] = $row['TeacherLast'].' '.UTF8::substr($row['TeacherFirst'], 0, 1).'. ';
            if(!empty($row['TeacherSecond']))
                $disciplinesHandled[$i]['Teacher'] .= UTF8::substr($row['TeacherSecond'], 0, 1).'.';
            $disciplinesHandled[$i]['ID'] = $row['SubjectID'];
            $disciplinesHandled[$i]['Title'] = $row['SubjectName'];
            $disciplinesHandled[$i]['Rate'] = $row['Rate'];
            $disciplinesHandled[$i]['MaxRate'] = $row['MaxCurrentRate'];
        }
        $twig->disciplines = $disciplinesHandled;
        $this->response->body($twig);
    }
	
    public function action_settings() {
        $twig = Twig::factory('settings');
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
}
            
